BYZANZ-RECORD(1)

NAME
byzanz-record - record your desktop session to an animated GIF

SYNOPSIS
byzanz-record [options] FILENAME

DESCRIPTION
Byzanz records your desktop session to an animated GIF. You can record your entire screen, a single window, or an arbitrary region. byzanz-record allows you to make recordings from the command line. Graphical users may want to use the panel applet instead.

OPTIONS

  Application Options:

-a, --audio
    Record audio from the default input device. This only works if the output format supports it and will otherwise cause an error.

-c, --cursor
    Record mouse cursor

-d, --duration=SECS
    Duration of animation (default: 10 seconds)

--delay=SECS
    Delay before start (default: 1 second)

--display=DISPLAY
    X display to use

-h, --height=PIXEL
    Height of recording rectangle

-v, --verbose
    be verbose

-w, --width=PIXEL
    Width of recording rectangle

-x, --x=PIXEL
    X coordinate of rectangle to record

-y, --y=PIXEL
    Y coordinate of rectangle to record

  Help Options:

-?, --help
    Show help options

--help-all
    Show all help options

--help-gtk
    Show GTK+ Options

OUTPUT FILE
After byzanz-record is finished, the recording is written to FILENAME. The format is determined by the filename extension. The following formats are supported:

byzanz
    Record to Byzanz' internal debugging format. This is useful for benchmarking Byzanz or if you want to convert the recording to multiple formats later. You can use byzanz-playback(1) to convert the file.

flv Record to a Flash Screen video. This recording method is lossless. Use it if you want to postprocess the file in other applications.

gif Record to an animated GIF image. Use this if you want to record a mostly static screen with a limited amount of colors, such as using a file manager or an office application. This is the default and will be used if an unrecognized extension is used.

ogg, ogv
    Record to an Ogg Theora video. This format supports audio. Use this if you want to record dynamic contents, such as video playback.

webm
    Record to a WebM video. This format consists of VP8 video and Vorbis audio streams. Use this if you want to record dynamic contents, e.g. for a HTML5 video.

SEE ALSO
byzanz-playback(1)

AUTHOR
Byzanz was written by Benjamin Otte <otte@gnome.org>.

This manual page was last updated for version 0.2.1.